       IDENTIFICATION DIVISION.
       PROGRAM-ID.    REGI0A.
       AUTHOR.        Reginaldo. Barosa.
       ENVIRONMENT DIVISION.
      *************************************************************
      *  This program calls 2 other programs.
      * > REGI0B is called as dynamic and returns  a value to be used
      *   in a division. This value returned is 0 and will cause
      *   and exception since numbers cannot be divided by 0.
      * > REGI0C prints the output using display
      *************************************************************
       CONFIGURATION SECTION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
      *************************************************************
       01 Program-Work-Fields.
                03 Input-name               Pic x(30).
                03 Output-name              Pic x(37).
                03 program-to-call          Pic x(07).
                03 received-from-called     Pic 99.
                03 value1                   Pic 99.
                03 FIELD-A                  Pic X(6).
                03 FIELD-B                  Pic X(6).
                03 FIELD-C                  Pic X(6).
                03 result                   Pic 99.
       01 Program-flags.
                03 Loop-flag                Pic 9(01).
                   88 Loop-done             Value 1.
       01 BRANCHFLAG PIC 99.

       LINKAGE SECTION.
       PROCEDURE DIVISION.
       010-INITIALIZATION.
             Initialize Program-work-fields, Program-flags, BRANCHFLAG.
              DISPLAY "Program REGI0A STARTING "
              MOVE 2 TO BRANCHFLAG.
              MOVE 'AAAAAA' to FIELD-A.
              MOVE 'BBBBBB' to FIELD-B.
              MOVE 'CCCCCC' to FIELD-C.
              MOVE "Enterprise Transformation POT " to Input-name.
              MOVE "WSED - OUTPUT" to Output-name.
              MOVE "REGI0B" to program-to-call.
       020-LOGIC.
              CALL  program-to-call USING received-from-called.
              move 66 to value1.
              divide value1 BY  received-from-called GIVING result.
              DISPLAY result.
              IF BRANCHFLAG > 1
                   CALL 'REGI0C' USING Input-name
                   DISPLAY "BRANCHFLAG GREATER THAN 1"
                   PERFORM 030-SEEYA
              ELSE
                   DISPLAY "BRANCHFLAG <= 1"
                   PERFORM 040-GOODBYE.
              GOBACK.
       030-SEEYA.
              DISPLAY "PROGRAM IS ENDING -- SEEYA".
              DISPLAY "Congratulation! You finished Tutorial03".
       040-GOODBYE.
              DISPLAY "PROGRAM IS ENDING -- GOODBYE".
              DISPLAY "Congratulation! You finished Tutorial03".
       End Program REGI0A.
